API referenceOfficial · Market Data
Get item liquidity rankings
Returns BUFF liquidity rankings for one item or the complete catalog.
GET
/api/market/enterprise/items/liquidity_rankReturns BUFF liquidity rankings for one item or the complete catalog.
- Access: Enterprise API
- Coverage: All items
- Updated: Daily
- Limit: 5,000 requests per 24 hours
goods_id is optional. Liquidity is a weighted combination of trade-amount and trade-quantity rankings; BUFF generally considers 85% or higher to be high liquidity.
Authorization
bearer AuthorizationBearer <token>
BUFF developer API token. Send it as Authorization: Bearer <token>.
In: header
Query Parameters
game*"cs2"
Game identifier.
Value in
- "cs2"
goods_id?integer
Return only this BUFF goods ID.
Range
1 <= valuemarket_hash_name?string
Return only this Steam market hash name.
include_sticker?integer
Only takes effect when goods_id is not specified. When include_sticker is 0, the results will not include items with sealed graffiti, stickers or sticker slab, and the data will be more real-time.
Default
1Value in
- 0
- 1
Response Body
application/json
curl -X GET "https://example.com/api/market/enterprise/items/liquidity_rank?game=cs2&goods_id=43012&market_hash_name=%E2%98%85+Karambit+%7C+Gamma+Doppler+%28Minimal+Wear%29"{ "info": [ { "goods_id": 43012, "market_hash_name": "★ Karambit | Gamma Doppler (Minimal Wear)", "update_time": 1748347800, "sales": [ { "liquidity_rank": "22.29%", "tag_id": 522195, "tag_name": "Phase2" }, { "liquidity_rank": "52.47%", "tag_id": 527680, "tag_name": "Phase4" }, { "liquidity_rank": "48.59%", "tag_id": 3204145, "tag_name": "Phase1" }, { "liquidity_rank": "99.12%", "tag_id": 3918883, "tag_name": "Phase3" } ] } ], "stat_time": 1748347800, "req_remaining": 99989}